
CoCoA-5 - Feature #1439

New function: LinearForm

07 Mar 2020 09:14 - Anna Maria Bigatti

Status: Closed Start date: 07 Mar 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 5.20 hours

Target version: CoCoA-5.3.0 Spent time: 5.10 hours

Description

Add function which returns the sum of the summends of degree 1.

Related issues:

Related to CoCoALib - Feature #1022: New "LF" function which is based on StdDeg New 06 Mar 2017

History

#1 - 07 Mar 2020 09:17 - Anna Maria Bigatti

Done (in NotBuiltin.cpkg5)

Funny cases:

if f = 0 returns 0

if GradingDim<>1 returns error

use weights: es:

/**/ OrdM := matrix([[2,3,1],[0,0,-1],[0,-1,0]]);

/**/ P := NewPolyRing(QQ, "a,b,c", OrdM, 1); -- 3 indeterminates

/**/ use P;

/**/ LinearForm(a+b+c);

c

#2 - 07 Mar 2020 09:21 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 80

documentation done

(but checkin later -- flat battery)

#3 - 07 Mar 2020 11:20 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90

- Estimated time set to 2.51 h

updated RelNotes
Checked in everything

#4 - 09 Mar 2020 15:36 - John Abbott

Do we have a function which computes a list of homog compts?

#5 - 09 Mar 2020 16:52 - Anna Maria Bigatti

John Abbott wrote:

Do we have a function which computes a list of homog compts?

 

no, we explicitely decided not to, for its intrinsic use of memory.

We implemented LF and to promoted iterating over.

#6 - 09 Mar 2020 16:53 - Anna Maria Bigatti

- Related to Feature #1022: New "LF" function which is based on StdDeg added

#7 - 11 Mar 2020 13:47 - John Abbott

I now have a prototype of HomogForm(f,d) in C++.

It seems to be about 30 times faster than LinearForm in CoCoA-5.

Should I put it into CoCoALib?  Or shall I delay it until the next release?

#8 - 11 Mar 2020 15:27 - Anna Maria Bigatti

John Abbott wrote:

I now have a prototype of HomogForm(f,d) in C++.

It seems to be about 30 times faster than LinearForm in CoCoA-5.

Should I put it into CoCoALib?  Or shall I delay it until the next release?

 

Put it in CoCoALib: we still have problems with the linux release, and I haven't made the CoCoALib release official yet (nor cocoa for M$).

#9 - 11 Mar 2020 16:20 - John Abbott

What should the fn name be?   HomogForm  or  HomogCompt?

#10 - 11 Mar 2020 18:14 - John Abbott

- Estimated time changed from 2.51 h to 5.20 h

I have implemented HomogCompt.  Also accessible from CoCoA-5 (with man page).

No tests, no CoCoALib doc (oops... I'll fix that now).
Checked in.

#11 - 11 Mar 2020 18:18 - John Abbott

Added doc for CoCoALib.

Still no test  :-/

Close anyway?

#12 - 20 Mar 2020 12:55 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
